/*
 * @Description: 
 * @version: 1.0.0
 * @Author: youqixin
 * @Date: 2020-05-09 13:41:55
 * @LastEditors: youqixin
 * @LastEditTime: 2022-02-18 09:57:51
 */
import 'package:flutter/material.dart';
import 'package:v_flutter_example/utils/NavBar.dart';
import 'package:v_flutter/v_flutter.dart';

class Index extends StatefulWidget {
  @override
  _IndexState createState() => _IndexState();
}

class _IndexState extends State<Index> {
  @override
  void initState() {
    super.initState();
  }

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: NavBar(title: "index"),
      backgroundColor: Colors.white,
      body: Padding(
        padding: EdgeInsets.all(12.0),
        child: Wrap(
          direction: Axis.horizontal,
          spacing: 12.0,
          children: <Widget>[
            Container(
              child: MaterialButton(
                child: Text(
                  "TOAST",
                  style: TextStyle(
                    color: Color(0xFFFFFFFF),
                  ),
                ),
                color: Color(0xFF409EFF),
                onPressed: () {
                  VToast(
                    context: context,
                    message: "这是提示信息",
                    position: ToastPosition.CENTER,
                    duration: Duration(milliseconds: 3000),
                  );
                },
              ),
            ),
            Container(
              child: MaterialButton(
                child: Text(
                  "CONFIRM",
                  style: TextStyle(
                    color: Color(0xFFFFFFFF),
                  ),
                ),
                color: Color(0xFF409EFF),
                onPressed: () {
                  VConfirm(
                      context: context,
                      message: "这是提示信息",
                      title: "标题",
                      cancelText: "取消",
                      confirmText: "确认",
                      onCancel: () {
                        print("onCancel");
                      },
                      onConfirm: () {
                        print("onConfirm");
                      });
                },
              ),
            ),
            Container(
              child: MaterialButton(
                child: Text(
                  "CALENDAR",
                  style: TextStyle(
                    color: Color(0xFFFFFFFF),
                  ),
                ),
                color: Color(0xFF409EFF),
                onPressed: () {
                  VCalendar(context: context, type: 1);
                },
              ),
            ),
            Container(
              child: MaterialButton(
                child: Text(
                  "LOADING",
                  style: TextStyle(
                    color: Color(0xFFFFFFFF),
                  ),
                ),
                color: Color(0xFF409EFF),
                onPressed: () {
                  VLoading test = VLoading(
                    context: context,
                    msg: "载入中",
                    canceledOnTouchOutside: true,
                  );
                },
              ),
            ),
            Container(
              child: MaterialButton(
                child: Text(
                  "PICKER",
                  style: TextStyle(
                    color: Color(0xFFFFFFFF),
                  ),
                ),
                color: Color(0xFF409EFF),
                onPressed: () {
                  VPicker(
                    context: context,
                    onConfirm: (value) {
                      print(value);
                    },
                    options: [
                      {"label": "成都", "value": "1"},
                      {"label": "重庆", "value": "2"},
                      {"label": "德阳", "value": "3"},
                      {"label": "自贡", "value": "4"},
                      {"label": "南充", "value": "5"},
                      {"label": "遂宁", "value": "6"},
                    ],
                  );
                },
              ),
            ),
            Container(
              child: VRate(
                value: 2,
                count: 5,
                onChange: (value) {
                  print(value);
                },
              ),
            ),
            Container(
              child: VRate(
                value: 0,
                count: 5,
                onChange: (value) {
                  print(value);
                },
              ),
            ),
            Container(
              child: VTooltip(
                child: Container(
                  width: 100,
                  height: 80,
                  color: Color(0xFF409EFF),
                  child: Text("data321"),
                ),
              ),
            )
          ],
        ),
      ),
    );
  }
}
