import 'package:flutter/material.dart';
import 'package:v_flutter_example/router/setting.dart';

class Routes {
  static MaterialPageRoute generator(
    RouteSettings settings,
  ) {
    final String name = settings.name;

    final Function pageContentBuilder = RouteConfig.routes[name]['page'];

    if (pageContentBuilder != null) {
      if (settings.arguments != null && settings.arguments != '') {
        return MaterialPageRoute(
          builder: (context) => pageContentBuilder(settings.arguments),
          settings: settings,
        );
      } else {
        return MaterialPageRoute(
          builder: (context) => pageContentBuilder(),
          settings: settings,
        );
      }
    }
    return null;
  }
}
