import 'package:flutter/material.dart';

class NavBar extends StatelessWidget implements PreferredSizeWidget {
  NavBar({
    Key key,
    this.title,
    this.action,
    this.pop,
  });
  final String title;
  final List<Widget> action;
  final Function pop;
  @override
  Widget build(BuildContext context) {
    return PreferredSize(
      preferredSize: preferredSize,
      child: AppBar(
        centerTitle: true,
        title: Text(
          title,
          style: TextStyle(fontSize: 17.0),
        ),
        leading: FlatButton(
          onPressed: () {
            if (pop != null) {
              pop();
            } else {
              Navigator.of(context).pop();
            }
          },
          child: Icon(
            Icons.navigate_before,
            size: 26.0,
            color: Color(0xFF000000),
          ),
        ),
        actions: action,
      ),
    );
  }

  @override
  Size get preferredSize => Size.fromHeight(58.0);
}
