/*
 * @Description: 
 * @version: 1.0.0
 * @Author: youqixin
 * @Date: 2022-02-14 14:12:00
 * @LastEditors: youqixin
 * @LastEditTime: 2022-02-15 10:16:29
 */
import 'package:flutter/material.dart';
import 'package:v_flutter/utils/commonColor.dart';

class VLoading {
  static OverlayEntry overlayView;
  final BuildContext context;
  final String msg;
  final bool canceledOnTouchOutside;
  VLoading({
    @required this.context,
    this.msg = "加载中",
    this.canceledOnTouchOutside = false,
  }) : assert(context != null) {
    _show();
  }
  _show() {
    overlayView?.remove();
    overlayView = null;
    overlayView = OverlayEntry(builder: (context) {
      return _fadeInContainer();
    });
    Overlay.of(context).insert(overlayView);
  }

  close() {
    overlayView?.remove();
    overlayView = null;
  }

  Widget _fadeInContainer() {
    return GestureDetector(
      onTap: () {
        if (canceledOnTouchOutside) {
          close();
        }
      },
      child: Container(
        color: Color.fromRGBO(0, 0, 0, 0.4),
        child: Center(
          child: Container(
            width: 108,
            height: 108,
            decoration: BoxDecoration(
              color: Color(0xFFFFFFFF),
              borderRadius: BorderRadius.all(
                Radius.circular(6.0),
              ),
            ),
            child: Flex(
              direction: Axis.vertical,
              mainAxisAlignment: MainAxisAlignment.center,
              crossAxisAlignment: CrossAxisAlignment.center,
              children: <Widget>[
                CircularProgressIndicator(
                  valueColor: AlwaysStoppedAnimation(VColors.primary),
                ),
                Container(
                  margin: EdgeInsets.only(top: 12.0),
                  child: Text(
                    msg,
                    style: TextStyle(
                      fontSize: 16.0,
                      color: VColors.text,
                      decoration: TextDecoration.none,
                      fontWeight: FontWeight.w500,
                    ),
                  ),
                ),
              ],
            ),
          ),
        ),
      ),
    );
  }
}
