/*
 * @Description: 
 * @version: 1.0.0
 * @Author: youqixin
 * @Date: 2022-02-17 17:36:01
 * @LastEditors: youqixin
 * @LastEditTime: 2022-02-18 13:52:57
 */
import 'package:flutter/material.dart';
import 'package:v_flutter/utils/commonColor.dart';

class VTooltip extends StatefulWidget {
  final Widget child;
  final GlobalKey globalKey = GlobalKey();
  VTooltip({
    Key key,
    @required this.child,
  });
  @override
  _VTooltipState createState() => _VTooltipState();
}

class _VTooltipState extends State<VTooltip> {
  bool visible = true;
  double toolTipHeight = 0.0;
  @override
  void initState() {
    super.initState();
  }

  @override
  void didChangeDependencies() {
    super.didChangeDependencies();
  }

  @override
  Widget build(BuildContext context) {
    return Container(
      child: Stack(
        overflow: Overflow.visible,
        children: <Widget>[
          GestureDetector(
            onTap: () {
              setState(() {
                toolTipHeight = widget.globalKey.currentContext.size.height;
              });
              Future.delayed(Duration(milliseconds: 10), () {
                setState(() {
                  visible = false;
                });
              });
            },
            child: Container(
              child: widget.child,
            ),
          ),
          Positioned(
            key: widget.globalKey,
            top: -toolTipHeight,
            left: 0,
            child: Offstage(
              offstage: visible,
              child: Container(
                padding: EdgeInsets.only(
                  left: 12.0,
                  right: 12.0,
                  top: 6.0,
                  bottom: 6.0,
                ),
                decoration: BoxDecoration(
                  color: Color(0xFF323232),
                  borderRadius: BorderRadius.all(
                    Radius.circular(4.0),
                  ),
                ),
                child: Text(
                  "this is tooltips message",
                  style: TextStyle(
                    height: 1.0,
                    fontSize: 16.0,
                    color: VColors.white,
                  ),
                ),
              ),
            ),
          )
        ],
      ),
    );
  }
}
